# Class FileUploader

### Hierarchy

- BaseJobExecutor
  - FileUploader

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendWaitingRequest
- execute
- resendWaitingRequests

## Constructors

### constructor

- new FileUploader(serverUrl: string, serverType: ServerType, jobsPath: string, requestClient: RequestClient): FileUploader

- Overrides BaseJobExecutor.constructor

  - Defined in src/job-execution/FileUploader.ts:21

  #### Parameters

  - ##### serverUrl: string

  - ##### serverType: ServerType

  - ##### jobsPath: string

  - ##### requestClient: RequestClient

  #### Returns FileUploader

## Properties

### Protected serverType

serverType: ServerType

Inherited from BaseJobExecutor.serverType

- Defined in src/job-execution/JobExecutor.ts:20

### Protected serverUrl

serverUrl: string

Inherited from BaseJobExecutor.serverUrl

- Defined in src/job-execution/JobExecutor.ts:20

## Methods

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- Inherited from BaseJobExecutor.appendWaitingRequest

  - Defined in src/job-execution/JobExecutor.ts:45

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### execute

- execute(sasJob: string, data: any, config: any, loginRequiredCallback?: any): Promise<unknown>

- Overrides BaseJobExecutor.execute

  - Defined in src/job-execution/FileUploader.ts:31

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  - ##### Optional loginRequiredCallback: any

  #### Returns Promise<unknown>

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- Inherited from BaseJobExecutor.resendWaitingRequests

  - Defined in src/job-execution/JobExecutor.ts:33

  #### Returns Promise<void>

Generated using TypeDoc